# std::basic_regex::flags

From cppreference.com
< cpp‎ | regex‎ | basic regex

flag_type flags() const; |  | (since C++11)

Returns the regular expression syntax flags as set in the constructor or the last call to assign().

### Parameters

(none)

### Return value

Current regular expression syntax flags.

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/basic_regex/flags&oldid=64287"
Category:

- Todo no example